Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface ListDocument.List

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `ListDocumentImpl.ListImpl`
  Enclosing interface:
    ListDocument

      public static interface ListDocument.List
      extends Annotated

  An XML list(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<ListDocument.List>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LocalSimpleType` | `addNewSimpleType()` | Appends and returns a new empty "simpleType" element
    `QName` | `getItemType()` | Gets the "itemType" attribute
    `LocalSimpleType` | `getSimpleType()` | Gets the "simpleType" element
    `boolean` | `isSetItemType()` | True if has "itemType" attribute
    `boolean` | `isSetSimpleType()` | True if has "simpleType" element
    `void` | `setItemType​(QName itemType)` | Sets the "itemType" attribute
    `void` | `setSimpleType​(LocalSimpleType simpleType)` | Sets the "simpleType" element
    `void` | `unsetItemType()` | Unsets the "itemType" attribute
    `void` | `unsetSimpleType()` | Unsets the "simpleType" element
    `XmlQName` | `xgetItemType()` | Gets (as xml) the "itemType" attribute
    `void` | `xsetItemType​(XmlQName itemType)` | Sets (as xml) the "itemType" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<ListDocument.List> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSimpleType

          LocalSimpleType getSimpleType()

      Gets the "simpleType" element

    - #### isSetSimpleType

          boolean isSetSimpleType()

      True if has "simpleType" element

    - #### setSimpleType

          void setSimpleType​(LocalSimpleType simpleType)

      Sets the "simpleType" element

    - #### addNewSimpleType

          LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element

    - #### unsetSimpleType

          void unsetSimpleType()

      Unsets the "simpleType" element

    - #### getItemType

          QName getItemType()

      Gets the "itemType" attribute

    - #### xgetItemType

          XmlQName xgetItemType()

      Gets (as xml) the "itemType" attribute

    - #### isSetItemType

          boolean isSetItemType()

      True if has "itemType" attribute

    - #### setItemType

          void setItemType​(QName itemType)

      Sets the "itemType" attribute

    - #### xsetItemType

          void xsetItemType​(XmlQName itemType)

      Sets (as xml) the "itemType" attribute

    - #### unsetItemType

          void unsetItemType()

      Unsets the "itemType" attribute